Get a page of activity owned by a task conversation turn
curl --request GET \
--url https://api.runaether.dev/v1/tasks/{taskID}/conversation/turns/{turnID}/activity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.runaether.dev/v1/tasks/{taskID}/conversation/turns/{turnID}/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.runaether.dev/v1/tasks/{taskID}/conversation/turns/{turnID}/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active_conversation_turn_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"has_more_older": true,
"items": [
{
"content": "<string>",
"deliveryStatus": "queued",
"id": "<string>",
"role": "user",
"sequence": 4503599627370495,
"timestamp": "<string>",
"clientMessageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context": {
"attachments": [
{
"data": "<string>",
"filename": "<string>",
"mediaType": "<string>"
}
],
"files": [
{
"include": true,
"path": "<string>",
"selection": {
"endLine": 2,
"startLine": 2
}
}
]
},
"messageEvent": {
"author": {
"login": "<string>",
"association": "<string>",
"type": "<string>"
},
"body": "<string>",
"kind": "pr_comment",
"prNumber": 4503599627370496,
"repo": {
"name": "<string>",
"owner": "<string>"
},
"action": "<string>",
"branch": "<string>",
"line": 4503599627370496,
"path": "<string>",
"reviewState": "<string>",
"url": "<string>"
},
"processingStartedAt": "<string>",
"sender_display_name": "<string>",
"sender_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toolResponse": {
"data": {
"answers": {},
"customAnswers": {}
},
"tool_name": "ask_user"
},
"variant": "text"
}
],
"latest_sequence": 4503599627370495,
"oldest_sequence_loaded": 4503599627370495,
"task": {
"agent_type": "codex",
"auto_fix_ci": true,
"auto_fix_pr_comments": true,
"auto_rebase": true,
"base_branch": "<string>",
"created_at": "<string>",
"creator_reauth_required": true,
"display_status": "running",
"feed_updated_at": "<string>",
"github_status": "merged",
"hardware": {
"cpu_kind": "shared",
"cpus": 8,
"gpu_kind": "a10",
"memory_mb": 16512,
"volume_size_gb": 250
},
"id": "<string>",
"interaction_mode": "default",
"model": "<string>",
"name": "<string>",
"parent_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"post_pr_demo_video": true,
"post_pr_screenshots": true,
"pr_review_summary": {
"comment_count": 1,
"pull_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"review_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_count": 2,
"run_status": "reviewing",
"verdict": "COMMENT"
},
"primary_pull_request": {
"additions": 1,
"checks_failed": 1,
"checks_passed": 1,
"checks_total": 1,
"commits": 1,
"deletions": 1,
"html_url": "<string>",
"lines_changed": 1,
"pr_number": 2,
"pull_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"branch_name": "<string>",
"ci_status": "pending",
"merged_at": "<string>",
"state": "open"
},
"project_id": "<string>",
"pull_requests": [
{
"additions": 1,
"checks_failed": 1,
"checks_passed": 1,
"checks_total": 1,
"commits": 1,
"deletions": 1,
"html_url": "<string>",
"lines_changed": 1,
"pr_number": 2,
"pull_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"branch_name": "<string>",
"ci_status": "pending",
"merged_at": "<string>",
"state": "open"
}
],
"review_subject_pull_request": {
"additions": 1,
"checks_failed": 1,
"checks_passed": 1,
"checks_total": 1,
"commits": 1,
"deletions": 1,
"html_url": "<string>",
"lines_changed": 1,
"pr_number": 2,
"pull_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"review_trigger": "automatic",
"title": "<string>",
"branch_name": "<string>",
"ci_status": "pending",
"merged_at": "<string>",
"origin_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"review_check_conclusion": "success",
"state": "open"
},
"run_context": {
"started_at": "<string>",
"workspace_id": "<string>"
},
"runtime_timing": {
"state": "inactive"
},
"source": "manual",
"status": "queued",
"usage": {
"tokens_in": 4503599627370495,
"tokens_out": 4503599627370495,
"vm_uptime_seconds": 1
},
"user_id": "<string>",
"archived_at": "<string>",
"head_branch": "<string>",
"last_error": "<string>",
"latest_sequence": 4503599627370495,
"latest_status_message": "<string>",
"latest_status_source": "<string>",
"pr_review_mode": "review_only",
"reasoning_effort": "ultra",
"slash_commands": [
{
"description": "<string>",
"name": "<string>",
"input": {
"hint": "<string>"
}
}
],
"source_metadata": {}
},
"turn_revision_sequence": 4503599627370495
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"code": "org_membership_required",
"error": "<string>"
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}Tasks
Get a page of activity owned by a task conversation turn
GET
/
tasks
/
{taskID}
/
conversation
/
turns
/
{turnID}
/
activity
Get a page of activity owned by a task conversation turn
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Query Parameters
Required range:
0 <= x <= 9007199254740991Required range:
1 <= x <= 200Response
OK
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Required range:
0 <= x <= 9007199254740991